<?
###########################################
#-----------Users login system------------#
###########################################
/*=========================================\
Author      :  Mohammed Ahmed(M@@king)    \\
Version     :  1.0                        \\
Date Created:  Aug 20  2005               \\
----------------------------              \\
Last Update:   August 22 2005             \\
----------------------------              \\
Country    :   Palestine                  \\
City       :   Gaza                       \\
E-mail     :   m@maaking.com              \\
MSN        :   m@maaking.com              \\
AOL-IM     :   maa2pal                    \\
WWW        :   http://www.maaking.com     \\
Mobile/SMS :   00972-599-622235           \\
                                          \\
===========================================\
------------------------------------------*/
//skip the config file if somebody call it from the browser.
session_start();

if (eregi("config.php", $_SERVER['SCRIPT_NAME'])) {
	 die();
}

$main_table = "glist";
$field_lead = "";
$site_url   = "/cgi-bin/articles/admin/";

include("settings.php");

//added new code to fix compatibility issues.
//09-Nov-2005
$phpver = phpversion();
if ($phpver < '4.1.0') {
        $_GET = $HTTP_GET_VARS;
        $_POST = $HTTP_POST_VARS;
        $_SERVER = $HTTP_SERVER_VARS;
}
if ($phpver >= '4.0.4pl1' && strstr($_SERVER["HTTP_USER_AGENT"],'compatible')) {
        if (extension_loaded('zlib')) {
                ob_end_clean();
                ob_start('ob_gzhandler');
        }
} else if ($phpver > '4.0') {
        if (strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip')) {
                if (extension_loaded('zlib')) {
                        $do_gzip_compress = TRUE;
                        ob_start(array('ob_gzhandler',5));
                        ob_implicit_flush(0);
                        header('Content-Encoding: gzip');
                }
        }
}
$phpver = explode(".", $phpver);
$phpver = "$phpver[0]$phpver[1]";
if ($phpver >= 41) {
        $PHP_SELF = $_SERVER['PHP_SELF'];
}

if (!ini_get("register_globals")) {
#        import_request_variables('GPC');
}

?>
